Well, no point in holding it up. YES with the background requirement. Can vote for removing the requirement later. (Haven't completely decided yet.)